
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>php运行提示Can&#039;t connect to MySQL server on &#039;localhost&#039;的解决方法_Mysql / iVAN</title>

    <meta name="description" content="php运行提示Can&#039;t connect to MySQL server on &#039;localhost&#039;的解决方法_Mysql 错误编号:2003 问题分析: 无法连接到 MySQL 服务器,可能的情况为: 1.MySQL 服务没有启动,一般是在异常的情况下 MySQL 无法启动导致的,比如无可用的磁盘空间,my.ini 里 MySQL 的 basedir 路径设置错误等: 2.MySQL 服务器资源紧张,导致无法连接. 解决方法: 1.如果你是虚拟主机用户(购买的空间),则联系空间商检查 MySQL 是否正常启动,并确认 MySQL 的配置信息(是否为 localhost): 2.如果你是独立主机用户(拥有管理主机权限">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">php运行提示Can&#039;t connect to MySQL server on &#039;localhost&#039;的解决方法_Mysql</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>错误编号：</strong>2003</p>
<p><strong>问题分析：</strong></p>
<p>无法连接到 MySQL 服务器，可能的情况为：</p>
<p>1、MySQL 服务没有启动，一般是在异常的情况下 MySQL 无法启动导致的，比如无可用的磁盘空间，my.ini 里 MySQL 的 basedir 路径设置错误等；</p>
<p>2、MySQL 服务器资源紧张，导致无法连接。</p>
<p><strong>解决方法：</strong></p>
<p>1、如果你是虚拟主机用户（购买的空间），则联系空间商检查 MySQL 是否正常启动，并确认 MySQL 的配置信息（是否为 localhost）；</p>
<p>2、如果你是独立主机用户（拥有管理主机权限），则按下面步骤检查：</p>
<p>1）检查是否启动了 MySQL 服务。</p>
<p>Windows 主机的话，右键点击我的电脑，单击管理，在服务和应用程序中找到 MySQL 服务，看是否是已启动的状态。</p>
<p> <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDExMDYzMDIyNDYyOTczNC5naWY=.jpg"><br />Linux主机，在控制台执行 service mysql start 启动 MySQL 服务。</p>
<p>2）检查磁盘空间是否还有剩余可用空间，尽量保持有足够的磁盘空间可用。</p>
<p>3）检查 my.ini 里的 basedir （MySQL 安装地址） 和 datadir （数据目录存放地址）等参数设置是否正确，然后重新启动下 MySQL 服务。</p>
<p>4）如果在刷新后偶尔能够正常显示而且服务器是Windows系统的话，那么减小Windows中TcpTimedWaitDelay时间可解决此类问题，默认情况下为240（未设置的情况下也是这个数值）此项设置需要到注册表如下位置进行设置HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\TcpTimedWaitDelay  如果注册表中没有TcpTimedWaitDelay这个项目，请增加这个项目，并设置为双字节（DWORD）类型数值设置为30 ~ 60 之间即可</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDExMDYzMDIyNDYyOTUxOC5naWY=.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 17:21:10</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>, <a href="https://www.iamivan.net/tag/connect/" title="connect">connect</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>php运行提示Can&#039;t connect to MySQL server on &#039;localhost&#039;的解决方法_Mysql的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL53VLz.html" rel="bookmark">Can&amp;&num;039&semi;t connect to MySQL server on localhost &lpar;10061&rpar;解决方法&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先检查MySQL 服务没有启动&gt;如果没有启动,则要启动这个服务. 昨天,重起服务器后出现MySQL 'localhost' (10061)错误,开始以为是因为数据库链接打开过多,数据库资源耗尽的缘故,但是重启服务器以后,仍旧出现问题,于是在网上查找解决方法.大体如下: 解决办法: 第一步 删除c:\windows\下面的my.ini 第二步 打开c:\mysql\bin\winmysqladmin.exe 输入用户名 和密码 第三步 在dos下 输入 mysqld-nt -remove 删除服			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxEQ4Op.html" rel="bookmark">Can&amp;&num;039&semi;t connect to MySQL server on &amp;&num;039&semi;localhost&amp;&num;039&semi; &lpar;10048&rpar;问题解决方法&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				解决Can't connect to MySQL server on 'localhost' (10048), 一般见于使用mysql的windows 2003服务器. 错误的出现的原因: 应用程序需要快速释放和创建新连接, 但是由于 TIME_WAIT 中存在的连接超过默认值,导致较低吞吐量. 解决方案: 和本错误密切相关的两个windows的注册表项:TcpTimedWaitDelay和MaxUserPort的值. TcpTimedWaitDelay 确定 TCP/IP 可释放已关闭连接并重			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boJAlDz.html" rel="bookmark">Can&rsquo;t connect to MySQL server on &OpenCurlyQuote;localhost&rsquo; &lpar;10061&rpar;解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				服务器的CPU.内存都正常.连续刷新网页会时有时无出现: Can't connect to MySQL server on 'localhost' (10061) 解决方法: 该现象属于微软9月10日发布的&quot;TCP/IP&quot;补丁带来的问题. 在&quot;控制面板&quot;的&quot;添加或删除程序&quot;(注意勾选&quot;显示更新&quot;复选框)中删除编号为KB967723的补丁即可    			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQw2L8p.html" rel="bookmark">mysql提示Can t connect to MySQL server on localhost &lpar;10061&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道是升级了一个升级包靠成了就直接删除就了,后来百度知道原来 是KB967723补丁引起的. 进入&quot;控制面板 - 添加和删除程序 - (勾选上方的&quot;显示更新&quot;)&quot;找到KB967723这个补丁,点击删除然后选择&quot; 是&quot;,继续卸载.卸载完成后程序服务器 其它问题解决办法分享,解决方法(针对WIN系统): 1, 首先到系统服务里面找到MYSQL服务并启动MYSQL服务. 2, 到MYSQL安装目录找到MY.INI文件,打开MY.INI查找max_c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MraBZjb.html" rel="bookmark">ERROR 2002 &lpar;HY000&rpar;&colon; Cant connect to local MySQL server through socket的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				连接MySQL提示ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/tmp/mysql.sock' (2)的解决方法 ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/tmp/mysql.sock' (2) 原文:http://www.aiezu.com/db/mysql_cant_connect_thro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqD5wYb.html" rel="bookmark">Mysql出现Can&rsquo;t connect to MySQL server on &OpenCurlyQuote;localhost&rsquo; &lpar;10061&rpar;问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天把mysql数据库拷贝到另外一台机上,结果连不上,报&quot;Can't connect to MySQL server on 'localhost' (10061)&quot;错误. 到网上search,发现一篇文章很好,两种方法都能解决此问题 网上搜索方法一: 1.删除my.ini(在C:/windows/下),重新运行winmysqladmin,要求输入用户名和密码后,问题解决! 2.看看hosts文件中localhost是不是指向127.0.0.1 如果是没启动mysql服务,则可运行net			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXx6lKp.html" rel="bookmark">安全狗优化mysql导致Can&amp;&num;039&semi;t connect to MySQL server on &amp;&num;039&semi;localhost&amp;&num;039&semi; &lpar;10061&rpar;错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如下所示利用安全狗优化一下mysql 然后再运行下面程序报错了 &lt;? $cn = mysql_connect('localhost','用户名','密码') or die(mysql_error()); if( $cn ) { echo 'success'; } else { echo 'fa'; } ?&gt; 结果是 Can't connect to MySQL server on 'localhost' (10061) 结果我去看服务看看是不是启动了,如下图只有&quot;启动&quot;两个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPP5vZp.html" rel="bookmark">php运行提示：Fatal error Allowed memory size内存不足的解决方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了php运行提示:Fatal error Allowed memory size内存不足的解决方法.分享给大家供大家参考.具体方法如下: 有些朋友新配置的环境或自己新写的程序运行时会碰到fatal error: Allowed memory size of 134217728 bytes exhausted错误,这种问题一个是程序写得不好导致的,另一个是环境配置不好也会出现,像php5.1.27+apache2.2.3好像在windows2003中就会出现bug不管你怎么修复都无法解			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M123axp.html" rel="bookmark">ERROR 2003&colon;Can&rsquo;t connect to MySQL server on &OpenCurlyQuote;localhost&rsquo; &lpar;10060&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ERROR 2003:Can't connect to MySQL server on 'localhost' (10060) 错误,一直没有连接上. 一.关闭连接机器的防火墙, 二.3306端口在防火强中例外			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy27Ep.html" rel="bookmark" class="title">HTML快速参考--头标和标题、段落和连接</a>
					<div>
						参考 头标和标题: 标记 属性 功能 &lt;h1&gt;...&lt;/h1&gt;       第一层头标 &lt;h2&gt;...&lt;/h2&gt;    第二层头标 &lt;h3&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6QRAb.html" rel="bookmark" class="title">再说百度那点儿事</a>
					<div>
						引子:我于上周五在CSDN和Blogspot上发表题为&lt;说说百度那点儿事&gt;的小文(下简称&lt;说说&gt;,本文后附全文),简单表达了一下自己为什么不喜欢不常用baidu的原因.虽然网友 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKrenz.html" rel="bookmark" class="title">SQL中DATALENGTH 用法</a>
					<div>
						返回任何表达式所占用的字节数. 语法DATALENGTH ( expression ) 参数expression 任何类型的表达式. 返回类型int 注释DATALENGTH 对 varchar.va ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0wEJb.html" rel="bookmark" class="title">不用递归实现树形结构的一种方法</a>
					<div>
						递归 不用递归实现树形结构的一种方法 主要的技巧在Level(帖子回复深度)的操作上 SunADM 于 2000.07.26______________________________________ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy6Klp.html" rel="bookmark" class="title">Counters 组件参考&lpar;五&rpar; - Set方法</a>
					<div>
						参考 SetSet 方法根据计数器的名称和一个整数参数,将计数器设置为该整数值,并返回此新值.若该计数器不存在,则 Counters.Set 创建计数器并将其值设为这一整数. 要获取计数器的值,可使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWEAmz.html" rel="bookmark" class="title">c&num;&period;net常用的小函数参考</a>
					<div>
						参考|函数 c#.net常用的小函数和方法集 1.DateTime 数字型 System.DateTime currentTime=new System.DateTime(); 1.1 取当前年月日时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVndkQz.html" rel="bookmark" class="title">Office 2013中系统管理员如何通过新Office管理设备</a>
					<div>
						自Office 2013发布之后,我们介绍了一系列新Office和SharePoint的改进和使用体验,越加成熟的云端服务让事情变得更加的公开化,简洁化.接下来我们来介绍了下新Office下的部署,管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjYBOp.html" rel="bookmark" class="title">浅谈CSS中的OOCSS编程方式</a>
					<div>
						  OOCSS即面向对象的CSS,这里对象指的是页面中的元素对象,与传统编程中的面向对象不太相同,比如不存在方法这种东西,硬要说的话,附加的一些class可以看作是继承或者接口之类的东西来实现对象的差 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jB0ob.html" rel="bookmark" class="title">MVVM模式中ViewModel和View、Model有什么区别？</a>
					<div>
						  这篇文章主要介绍了MVVM模式中ViewModel和View.Model有什么区别?本文分别解释了它们的功能和作用,然后总结了它之间的区别,需要的朋友可以参考下 Model:很简单,就是业务逻辑相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7x81b.html" rel="bookmark" class="title">Dreamweaver&amp;quot&semi;文档&amp;quot&semi;窗口</a>
					<div>
						  &quot;文档&quot;窗口 &quot;文档&quot;窗口显示当前文档.可以选择下列任一视图: &quot;设计&quot;视图是一个用于可视化页面布局.可视化编辑和快速应用程序开发的设计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WB6Ab.html" rel="bookmark" class="title">Photoshop绘制超酷人像火焰燃烧效果</a>
					<div>
						  Photoshop绘制超酷人像火焰燃烧效果          效果图 本教程中所使用的图像: 第1步 首先,我们需要火焰.找一些在黑色背景上的火焰图像,多多益善.把所有火焰图像的混合模式设为&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z94Vb.html" rel="bookmark" class="title">PicPick如何给图片打马赛克</a>
					<div>
						  1.打开PicPick软件并进行截图; 2.我们首先找屏幕的一部分进行截图处理,这是截图后的部分的原图. 3.我们找到 &quot;Effects&quot;工具,找到Pixelate 这里可以调 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oXGWb.html" rel="bookmark" class="title">辨析固态硬盘与U盘的方法</a>
					<div>
						  第一,主控算法不一样 固态硬盘采用的是一种特殊的算法,这个算法每个厂家都不一样,而且是封装在主控芯片里的. 通过这个算法,可以使数据平均分配到固态硬盘里的每片flash上,在提高速度的同时,也极大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oDO7b.html" rel="bookmark" class="title">Mac冬天充不进电怎么回事</a>
					<div>
						  Mac冬天充不进电原因: 因为苹果Mac电脑内置电源采用的是锂电池,而Mac的锂电池设置了自我保护,也就是所谓的低温保护.意思就是在气温过低的情况下,电池中的金属锂会产生沉积现象,不再和物质发生化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGQQrp.html" rel="bookmark" class="title">百度&lpar;baidu&rpar;搜索引擎的15个特点</a>
					<div>
						百度(baidu)搜索引擎的15个特点百度(baidu)搜索引擎使用了高性能的&quot;网络蜘蛛&quot;程序自动的在互联网中搜索信息,可定制.高扩展性的调度算法使得搜索器能在极短的时间内收集到最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Eqk5M.html" rel="bookmark" class="title">杂项</a>
					<div>
						关于团队,现在是一个团队的时代,不在乎个人能力的高强,需要的是有个强的团队.所以,要找最强的团队. 关于态度,年轻轻狂,工作迷茫,总是找不到方向,心也浮躁.放下眼前的一切,静静的想,心平静了. 感觉就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Y5vdM.html" rel="bookmark" class="title">如何从Vim中访问shell或者运行外部命令</a>
					<div>
						Vim--正如你可能已经了解的那样--是一个包含很多特性的强大的编辑器.我们已经写了好多关于 Vim 的教程,覆盖了 基本用法. 插件, 还有一些 其他的 有用的 特性.鉴于 Vim 提供了多如海洋的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8k5NoM.html" rel="bookmark" class="title">应邀ITGeGe在线教育社区嵌入式基础开发讲师</a>
					<div>
						 最近,被一家IT在线公司邀请去做嵌入式基础课程的讲师,我感觉非常荣幸,虽然我还是菜鸟一个,难得有这样的企业会看得起我,这也是对我的一个磨练吧,可以培养我继续不断学习技术的动力,同时还能将技术通过自身 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZOrnz.html" rel="bookmark" class="title">servlet-js中判断是否为管理员还是普通用户</a>
					<div>
						问题描述 js中判断是否为管理员还是普通用户 在登录页面中输入用户名密码的值后,在后台用servlet取到输入的值,然后到数据库进行比较,判断是一般用户还是管理员,然后由此跳转到不同页面. 解决方案  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRErkp.html" rel="bookmark" class="title">visual studio-关于MFC问题报错，TCHAR&ast;类型的实参与 HWND类型的形参不兼容</a>
					<div>
						问题描述 关于MFC问题报错,TCHAR*类型的实参与 HWND类型的形参不兼容 刚刚接触MFC,声明了TCHAR类型的chBuf[ ],MessageBox(chBuf)这句代码在别人的程序里是对的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKqV8b.html" rel="bookmark" class="title">MaxCompute的分区配置和使用</a>
					<div>
						创建表的时候,可以设置普通列和分区列.在绝大多数情况下,可以把普通列理解成数据文件的数据,而分区列可以理解成文件系统的目录.所以表的存储空间的占用,讲的是普通列的空间占用.分区列虽然不直接存储数据,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlOPAp.html" rel="bookmark" class="title">java-Java Swing中选项卡面板问题</a>
					<div>
						问题描述 Java Swing中选项卡面板问题 如何设置选项卡面板JTabbedPane,使其选项卡头部在左侧?如效果 解决方案 用Label或者Panel模拟下. 解决方案二: setTabPlac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rLrNz.html" rel="bookmark" class="title">extjs4&period;2 grid编辑验证问题</a>
					<div>
						问题描述 extjs4.2 grid编辑完后,点击保存按钮调用saveOrUpdateRecord方法,想在该方法内部做校验,record对象跟踪了下,打印出三个record对象,内部属性值也是a,b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnWJ1M.html" rel="bookmark" class="title">揭秘搜索引擎自动提示功能</a>
					<div>
						导语:国外媒体周三发表文章称,包括谷歌和必应在内的许多搜索引擎都具备&quot;自动补全&quot;功能,搜索引擎给出的这些提示均基于用户此前提问过的问题.因此,这在一定程度上允许用户了解他人感兴趣的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEDjJM.html" rel="bookmark" class="title">Python 之父谈 Python 的未来</a>
					<div>
						6月初,Python之父Guido van Rossum在今天的PyCon US大会上作了名为&quot;Python Language&quot;的演讲.近日,他又接受了IT媒体Infoworld的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xlLKb.html" rel="bookmark" class="title">ios-在非ARC中重写setget方法为什么一只报错</a>
					<div>
						问题描述 在非ARC中重写setget方法为什么一只报错 @interface Boy : NSObject { Gun *gun; } -(void)setGun:(Gun *)gun; -(Gun ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj0WQM.html" rel="bookmark" class="title">软件公司渗透电子商务富基融通拟控股中国网库</a>
					<div>
						日前,&lt;第一财经日报&gt;获悉,首家在美国 纳斯达克上市的中国软件公司--富基融通科技有限公司(NASDAQ.EFUT)计划将增持在中国网库的股权比例,目前富基融通持有中国网库股权比例为20% ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QZZmp.html" rel="bookmark" class="title">DIV&plus;CSS经常用到的属性、参数及说明&lowbar;经验交流</a>
					<div>
						通用类 overflow:hidden;自动隐藏超出的内容,防止撑开层和表格的范围 !important 指定样式规则的应用优先权 文字类 color: #FF0000;文字颜色 font-famil ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGr8rvp.html" rel="bookmark" class="title">一个仿微博登陆邮箱提示框js开发案例&lowbar;javascript技巧</a>
					<div>
						最近在好好的研究JS,通过一个仿邮箱登录提示框的案例加深下对面向对象的理解!啥都别说,先上图: 功能:实现正则匹配显示相符的内容.键盘事件.鼠标事件 简单布局: &lt;div id=&quot;lo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAklYvz.html" rel="bookmark" class="title">Python中针对函数处理的特殊方法&lowbar;python</a>
					<div>
						很多语言都提供了对参数或变量进行处理的机制,作为灵活的Python,提供了一些针对函数处理的特殊方法filter(function, sequence): 对sequence中的item依次执行fun ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
